:root {
  --bg: #ffd1b5;
  --bg-mid-opacity: #ff600014;
  --bg-low-opacity: #ff620005;

  --skyBlue: #b3fcff;
  --green: #45b77f;

  --brown-light: hsl(16, 25%, 38%);
  --brown: #4c191b;
  --dark-brown-text: #6b2426;

  --orange: #ffa15b;
  --popUpColor: #ffffff33;

  --headerHeight: 2.5em;
  --footerHeight: 2.5em;

  --playHeaderHeight: 4.5em;
  --playFooterHeight: 5rem;
  --playerTurnHeight: 60px;

  --dotRadius: 10px;
  --dot-stroke-width: 5px;
  --strokeWidth: 8px;

  --scrollbarSize: 5px;
}

* {
  font-family: Itim-Regular;
  scroll-behavior: smooth;
}

:focus {
  outline: unset;
}

body {
  width: 100vw;
  margin: 0;
  position: fixed;
  height: 100vh;
  max-height: 100%;

  color: var(--brown);

  font-size: 1.5em;
}

::backdrop {
  backdrop-filter: blur(1px);
}

dialog {
  border: none;
  background-color: #ff62000d;
  box-shadow: 0 0 46px 46px #ff62000d;
}

input {
  font-size: 0.8em;
}

.instruction {
  width: 100%;
  font-weight: normal;
  font-size: 1.3rem;
  margin: 0;
  text-align: center;

  position: sticky;
  left: 0;
}

.highlight-bg {
  position: fixed;
  width: 100%;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
}

.highlight {
  z-index: 2;
}

.highlight> :not(.highlight, .highlight-container > *,
  .tooltip, .highlight-container > *) {
  filter: blur(3px);
  z-index: 2;
  pointer-events: none;
}

.tooltip {
  z-index: 2;
  min-width: 200px;
  background-color: #f6781a82;
  border: 3px solid var(--brown);
  border-radius: 3px;
  padding: 0.8em 1.2em;

  display: flex;
  flex-direction: column;

  position: fixed;

  transition-property: top, left;
  transform-style: flat;
  transition-duration: 100ms;
  transition-timing-function: linear;

  overflow: visible;
}

.tooltip .title {
  margin: 0;
  font-size: 0.8em;
  overflow: visible;
}

.tooltip .instruction {
  overflow: visible;
  margin: 0;
  font-size: 0.8em;
  text-align: left;
}

.tooltip .actionButtons {
  align-self: flex-end;
  display: flex;
  gap: 16px;
  padding-top: 7px;
  padding-right: 2px;
  text-decoration: underline;
  font-size: 0.8em;
}

.tooltip .actionButtons > * {
  font-size: inherit;
}

.corner-dots {
  position: absolute;
  width: 8px;
  height: 8px;
  background-color: var(--brown);
  border-radius: 20px;
}

.corner-dots.top {
  top: -5px;
}

.corner-dots.right {
  right: -5px;
}

.corner-dots.bottom {
  bottom: -5px;
}

.corner-dots.left {
  left: -5px;
}

.connector-container {
  position: absolute;
  width: 16px;
  height: 16px;
}

.tooltip.top.right .connector-container {
  rotate: 225deg;
}

.tooltip.bottom.right .connector-container {
  rotate: 315deg;
}

.tooltip.bottom.left .connector-container {
  rotate: 45deg;
}

.tooltip.top.left .connector-container {
  rotate: 135deg;
}

.tooltip.top .connector-container {
  top: -16px;
}

.tooltip.right .connector-container {
  right: -16px;
}

.tooltip.bottom .connector-container {
  bottom: -16px;
}

.tooltip.left .connector-container {
  left: -16px;
}

.tooltip.middle .connector-container {
  top: -10px;
}

.tooltip.center .connector-container {
  left: calc(50% - 8px);
}

.connector {
  margin: auto;
  background-color: var(--brown);
  width: 3px;
  height: 70%;
  border-radius: 20px;
}

button {
  background-color: transparent;
  border-style: none;
  padding: 0;
  background-position: center;

  font-size: 1em;
}

header {
  min-height: var(--headerHeight);
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 15px;
  flex-wrap: wrap;
  padding: 10px 20px;
  box-shadow: -2px -2px 5px .5px #000000;
  position: relative;
}

header .start {
  display: flex;
  flex-direction: row;
  gap: inherit;
  flex-wrap: inherit;
  align-items: inherit;
  justify-content: center;
}

input[type=checkbox] {
  accent-color: var(--brown);
}

a {
  color: #2b44ce;
  text-decoration-style: dotted;
  text-underline-offset: 2px;
}

.page-bg {
  position: fixed;
  width: 100%;
  height: 100%;
  background-color: var(--bg);
  background-image: url(../../assets/images/endless-constellation.svg);
  filter: blur(1px);
  background-position: center;
  z-index: -1;
}

.button {
  color: var(--brown);
}

.button:focus-visible,
a:focus-visible,
input[type=checkbox]:focus-visible {
  outline: 2px dashed #000000;
}

.button,
input {
  cursor: pointer;
  user-select: none;
  -webkit-tap-highlight-color: transparent;
}

.button:active {
  scale: 0.98;
  filter: brightness(1.1);
}

.icon {
  width: 1.2em;
  height: auto;
  fill: var(--brown);
  background-size: contain;
  background-repeat: no-repeat;
  background-position: center;
}

#guide {
  width: 1.2em;
  background-image: url(../../assets/images/info.svg);
  aspect-ratio: 1;
}

#backButton {
  border-style: none;
  padding: 0;
}

#info {
  text-align: center;
  font-size: 1em;
}

.avatar {
  width: 30px;
  height: 25px;
  border-radius: 50%;
  border: 3px solid rgba(0, 0, 0, .5);
}

footer {
  width: var(--footerWidth);
  height: var(--footerHeight);
  border: none;
  box-shadow: 2px 2px 5px .5px #000000ab;
  background-color: rgb(246 120 26 / 40%);
  z-index: 1;
}

#nextButton {
  width: 100%;
  height: 100%;
  color: var(--brown);
  font-weight: bold;
}

.dot {
  border-radius: 50%;
}

.close-pop-up {
  color: var(--brown);
  position: absolute;
  top: 0px;
  right: 0px;
  padding: 10px;
  font-weight: bold;
  line-height: 1em;
}

.close-pop-up:focus-visible {
  top: 2px;
  right: 2px;
}

::-webkit-scrollbar {
  width: var(--scrollbarSize);
  height: var(--scrollbarSize);
}

::-webkit-scrollbar-track {
  background: transparent;
}

::-webkit-scrollbar-thumb {
  background: var(--brown-light);
  border-radius: 100px;
}

::-webkit-scrollbar-corner {
  background: transparent;
}

.loading {
  opacity: 0;
  position: fixed;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
}

.loading-container .loading {
  opacity: 1;
}

@font-face {
  font-family: Itim-Regular;
  src: url(../../assets/fonts/Itim-Regular.ttf);
}

@font-face {
  font-family: comic;
  src: url(../../assets/fonts/comic.ttf);
}

.displayNone {
  display: none;
}

.svgC,svg {
  overflow: visible;
}